### Method

# Gdk Clipboard read_finish

#### Declaration [src]

    GInputStream*
    gdk_clipboard_read_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See `gdk_clipboard_read_async()`.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`out_mime_type`

  Type: `const char**`

  Location to store the chosen mime type.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `GInputStream`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.